Request

Response

    Jobs
    GET

    jobs/:job_id

    Returns the job status. Used to track asynchronous operations when an instant response is not possible. This endpoint is currently used only with the BIM 360 Project creation process when project settings from an existing BIM 360 Field project are used as a template for a new BIM 360 Field project.

    Note that this endpoint is ONLY compatible with BIM 360 projects. It is not compatible with Autodesk Construction Cloud (ACC) projects. For more information about compatibility between between BIM 360 and ACC, see the Compatibility section.

    Resource Information

    Method and URI(US)
    GET
    https://developer.api.autodesk.com/hq/v1/accounts/:account_id/jobs/:job_id
    Method and URI(Legacy)
    GET
    https://developer.api.autodesk.com/hq/v1/regions/eu/accounts/:account_id/jobs/:job_id
    Authentication Context
    app only
    Required OAuth Scopes
    account:read
    Data Format
    JSON

    Request

    Headers

    Authorization
    yes
    Must be Bearer <token>, where <token> is obtained via a two-legged OAuth flow.
    Region
    no
    Specifies the region where the service is located. Possible values: US, EMEA. For the full list of supported regions, see the Regions page.

    Request

    URI Parameters

    account_id
    string: UUID
    The account ID of the job. This corresponds to hub ID in the Data Management API. To convert a hub ID into an account ID you need to remove the “b." prefix. For example, a hub ID of b.c8b0c73d-3ae9 translates to an account ID of c8b0c73d-3ae9.
    job_id
    string: UUID
    Job ID

    For jobs that create new BIM 360 Field projects based on templates, this value can be found in the copy_project_job_id attribute in the JSON response of the POST projects endpoint.

    Response

    HTTP Status Code Summary

    200
    OK
    The request has succeeded.
    400
    Bad Request
    The request could not be understood by the server due to malformed syntax.
    403
    Forbidden
    Unauthorized
    404
    Not Found
    The resource cannot be found.
    409
    Conflict
    The request could not be completed due to a conflict with the current state of the resource.
    422
    Unprocessable Entity
    The request was unable to be followed due to restrictions.
    500
    Internal Server Error
    An unexpected error occurred on the server.

    Response

    Body Structure (200)

    A successful response returns the requested job object with the following attributes:

    Expand all
    id
    string: UUID
    Job ID
    account_id
    string: UUID
    Account ID
    name
    string
    The name of the job; currently always copy_project_job
    (copying project settings from an existing BIM 360 Field
    project to a new project)
    status
    enum:string
    Job status

    Possible values:
    completed: the job has been completed
    in progress: the job is in progress
    details
    object
    Additional information about the job
    project_id
    template_project_id
    include_companies
    include_locations

    Example

    Successful Retrieval of Job Status (200)

    Request

    curl -v 'https://developer.api.autodesk.com/hq/v1/accounts/e3d5ef8d-5c37-4b9d-925d-1e6d24753ace/jobs/aca11a7abd1747cdab996548d0e6fe25'
      -H "Authorization: Bearer 9ezBnx9Rd5D1xG4KMt6b72T4w0MG"
    

    Response

    {
      "id": "aca11a7abd1747cdab996548d0e6fe25",
      "account_id": "e3d5ef8d-5c37-4b9d-925d-1e6d24753ace",
      "name": "copy_project_job",
      "status": "completed",
      "details": {
        "project_id": "80793a28-f9b1-4888-9533-5f00cddcd6fb",
        "template_project_id": "fda4ab9e-ab82-4ba9-8d6c-ae7dbd7cee31",
        "include_companies": "true",
        "include_locations": "false"
      }
    }
    
    Show More